

import { FormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular-lite';
import { NgModule, ErrorHandler, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { IonicApp, IonicModule, IonicErrorHandler } from 'ionic-angular';
import { IonPullupModule } from 'ionic-pullup';
import { MyApp } from './app.component';
import { AuthService } from '../providers/auth-service';
import { SplitPane } from '../providers/split-pane';
import { Common } from '../providers/common';
import { CommonProduct } from '../providers/common-product';
import { HttpModule } from "@angular/http";
import { Login } from '../pages/login/login';
import { Signup } from '../pages/signup/signup';
import { Forgot } from '../pages/forgot/forgot';
import { HomePage } from '../pages/home/home';

import { PosPage } from '../pages/pos/pos';
import { PosRegistrasiKas } from '../pages/pos-registrasi-kas/pos-registrasi-kas';
import { PosClosingKas } from '../pages/pos-closing-kas/pos-closing-kas';
import { PosPenjualan } from '../pages/pos-penjualan/pos-penjualan';
import { PosManajemen } from '../pages/pos-manajemen/pos-manajemen';
import { ManagementKasFormPage} from '../pages/management-kas-form/management-kas-form';
import { CustomerPage} from '../pages/customer/customer'; // untuk menampilkan pencarian pelanggan
import { PromoPage } from '../pages/promo/promo';
import { MyData } from '../pipes/my-data/my-data';
import { LineMask } from '../pipes/line-mask';
import { PosMetodePembayaran } from '../pages/pos-metode-pembayaran/pos-metode-pembayaran';
import { BayarTunaiPage } from '../pages/bayar-tunai/bayar-tunai';
import { BayarDebitPage } from '../pages/bayar-debit/bayar-debit';
import { BayarKreditPage } from '../pages/bayar-kredit/bayar-kredit';
import { BayarVoucherPage } from '../pages/bayar-voucher/bayar-voucher';
import { BayarLainnyaPage } from '../pages/bayar-lainnya/bayar-lainnya';

import { ListPage } from '../pages/list/list';
import { OfficePage } from '../pages/office/office';
import { LedgerPage } from '../pages/ledger/ledger';
import { ReportPage } from '../pages/report/report';
import { RptpenjualanPage } from '../pages/rptpenjualan/rptpenjualan';
import { RptstockPage } from '../pages/rptstock/rptstock';
import { RptpembayaranPage } from '../pages/rptpembayaran/rptpembayaran';
import { RptpromoPage } from '../pages/rptpromo/rptpromo';
import { RptvoidPage } from '../pages/rptvoid/rptvoid';
import { RptrefundPage } from '../pages/rptrefund/rptrefund';
import { ProductPage } from '../pages/product/product';
import { PelangganPage } from '../pages/pelanggan/pelanggan'; 
import { SettingPage } from '../pages/setting/setting';
import { HelpPage } from '../pages/help/help';
import { CartPage } from '../pages/cart/cart';

//Back Office Page
import { RoPage } from '../pages/ro/ro';
import { BtbPage } from '../pages/btb/btb';
import { PengembalianPage } from '../pages/pengembalian/pengembalian';
import { RejectPage } from '../pages/reject/reject';
import { SpoiledPage } from '../pages/spoiled/spoiled';
import { ExpiredPage } from '../pages/expired/expired';
import { PemindahanKasPage } from '../pages/pemindahan-kas/pemindahan-kas';
import { PemindahanKasFormPage } from '../pages/pemindahan-kas-form/pemindahan-kas-form';
import { SampelPage } from '../pages/sampel/sampel';
import {SampleFormPage} from '../pages/sample-form/sample-form';
import { MonitoringOfficePage } from '../pages/monitoring-office/monitoring-office';
import { GlobalPage } from '../pages/global/global';
//Back Office Page

import { StatusBar } from '@ionic-native/status-bar';
import { HeaderColor } from '@ionic-native/header-color';
import { SplashScreen } from '@ionic-native/splash-screen';
import { ScreenOrientation } from '@ionic-native/screen-orientation';

import { mobiscroll } from '@mobiscroll/angular-lite';
import { CalendarModule } from "ion2-calendar";

import { MomentModule } from 'angular2-moment';
import { LinkyModule } from 'angular-linky';
import { TextMaskModule } from 'angular2-text-mask';
import { CurrencyMaskModule } from "ng2-currency-mask";
import { CurrencyMaskConfig, CURRENCY_MASK_CONFIG } from "ng2-currency-mask/src/currency-mask.config";
import {PrinterListModalPage} from '../pages/printer-list-modal/printer-list-modal';

import { PrintProvider } from '../providers/print/print';
import { BluetoothSerial } from '@ionic-native/bluetooth-serial';


export const CustomCurrencyMaskConfig: CurrencyMaskConfig = {
    align: "left",
    allowNegative: true,
    decimal: ".",
    precision: 0,
    prefix: "IDR ",
    suffix: "",
    thousands: ","
};

mobiscroll.settings = {
    theme: "ios"
}

@NgModule({
  declarations: [
    MyApp,
    Login,
    Signup,
    Forgot,
    HomePage,
    PosPage,
    PosRegistrasiKas,
    PosClosingKas,
    PosPenjualan,
    PosManajemen,
    PromoPage,
    CartPage,
    ListPage,
    OfficePage,
    LedgerPage,
    ReportPage,
    RptpenjualanPage,
    RptstockPage,
    ManagementKasFormPage,
    RptpembayaranPage,
    RptpromoPage,
    RptvoidPage,
    RptrefundPage,
    ProductPage,
    PelangganPage,
    CustomerPage,
    SettingPage,
    HelpPage,
    MyData,
    LineMask,
    PosMetodePembayaran,
    BayarTunaiPage,
    BayarDebitPage,
    BayarKreditPage,
    BayarVoucherPage,
    BayarLainnyaPage,
    PrinterListModalPage,
    RoPage,
    BtbPage,
    PengembalianPage,
    RejectPage,
    SpoiledPage,
    ExpiredPage,
    PemindahanKasPage,
    PemindahanKasFormPage,
    SampelPage,
    SampleFormPage,
    MonitoringOfficePage,
    GlobalPage
  ],
  imports: [ 
    FormsModule, 
    MbscModule,
    BrowserModule,
    HttpModule,
    MomentModule,
    LinkyModule,
    TextMaskModule,
    CurrencyMaskModule,
    CalendarModule,
    IonicModule.forRoot(MyApp,{tabsPlacement: 'top'}),
    IonPullupModule
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp,
    Login,
    Signup,
    Forgot,
    HomePage,
    PosPage,
    PosRegistrasiKas,
    PosClosingKas,
    PosPenjualan,
    PromoPage,
    CartPage,
    PosManajemen,
    ListPage,
    OfficePage,
    LedgerPage,
    ManagementKasFormPage,
    ReportPage,
    RptpenjualanPage,
    RptstockPage,
    RptpembayaranPage,
    RptpromoPage,
    RptvoidPage,
    RptrefundPage,
    ProductPage,
    PelangganPage,
    CustomerPage,
    SettingPage,
    HelpPage,
    PosMetodePembayaran,
    BayarTunaiPage,
    BayarDebitPage,
    BayarKreditPage,
    BayarVoucherPage,
    BayarLainnyaPage,
    PrinterListModalPage,
    RoPage,
    BtbPage,
    PengembalianPage,
    RejectPage,
    SpoiledPage,
    ExpiredPage,
    PemindahanKasPage,
    PemindahanKasFormPage,
    SampelPage,
    SampleFormPage,
    MonitoringOfficePage,
    GlobalPage
  ],
  providers: [
    HeaderColor,
    StatusBar,
    SplashScreen,
    AuthService,
    SplitPane,
    Common,
    CommonProduct,
    BluetoothSerial,
    ScreenOrientation,
    PrintProvider,
    {provide: ErrorHandler, useClass: IonicErrorHandler},
    {provide: CURRENCY_MASK_CONFIG, useValue: CustomCurrencyMaskConfig }
  ],
            schemas: [ CUSTOM_ELEMENTS_SCHEMA ]
})
export class AppModule {}

export { mobiscroll }